Bug 56735 - Video signal resets the LCD display
Video signal resets the LCD display
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-26 12:44 EST by Yue Shi Lai
Modified: 2007-03-26 23:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-27 12:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yue Shi Lai 2001-11-26 12:44:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.8 sun4u; Nav)

Description of problem:
I have a LCD display by Medion (Germany), connected to a NVIDIA GeForce 2
MX 400. The computer is an Fujitsu-Siemens Pentium 4 (478-pin) with GA-8IDX
main board (i845 chipset).

After upgrading from RHL 7.1 to 7.2, if I switching off the display (using
power button) and turn on again, the LCD display is mysteriously reset,
leaving all the settings (brightness, contrast, etc.) set to factory

The problem can be observed both with X and on normal console, which leads
me to my conclusion, that the kernel is the problem. It is even
reproducible by using only the RHL installation CD (instead of a complete
installation). However, I have also experienced rare cases in which this
problem does not occur (once) on the text console. With X, on the other
hand, this problem seems to be always reproducible.

The problem is further reproducible with both the standard RH 2.4.9 kernel,
and the 2.4.9XFS_SGI_1.0.2 kernel patched SGI XFS, which I use normally.
Therefore, it seems not to be a problem introduced by SGI, but an inherent
one of RHL 7.2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Way A:
1. Boot up RHL 7.2, using either console or X
2. Lower the brightness and contrast (so that you can see any difference
after reset).
3. Switch the LCD panel off and on again.

Way B:

1. Insert installation CD
2. Choosing normal graphical installation (I haven't tried text
installation, yet)
3. Switch the LCD panel off and on again.

Actual Results:  1. There is a delay of about 5 seconds, which I have never
experienced on this LCD panel before RHL 7.2.
2. The LCD panel is reset to the factory default with a surface brightness
of 200 cd/m2 (which is quite bright).

Expected Results:  1. There shouldn't be a delay, and the LCD panel should
be on immediatly.
2. The LCD panel should have the values (brightness, contrast, etc.)
identical to the values set before switching off.

This normal behavior can be seen on RHL 7.1 and Windows ME, for example.

Additional info:

Workaround: Never switching off the LCD panel.

To get more detail on this problem, I will check whether changing the
kernel version will make a difference.
Comment 1 Yue Shi Lai 2001-11-27 12:15:11 EST
Please note that after more detailed investigation, I fould out that THIS IS NOT A BUG. It results from a complicated behavior of the LCD panel, which depends on the overall light itensity (it seems not to be active before RHL 7.2, but it is technically idependent from RHL 7.2).

Sorry again.

Note You need to log in before you can comment on or make changes to this bug.